Subject: [bug#55845] [PATCH 1/1] ui: Improve pager selection logic when less is not installed.

From: Maxime Devos <[email-masked]>
Date: Fri, 10 Jun 2022 17:08:57 +0200

Taiju HIGASHI schreef op vr 10-06-2022 om 17:40 [+0900]:
> Sorry, I easily used with-environment-variable*s* because the interface
> looked convenient, but perhaps I should have used
> with-environment-variable defined in guix/tests.scm.
> However, using this one does not seem to solve the problem. Should I
> modify with-environment-variable*s*?

I didn't know about 'with-environment-variable' (it already does the
unsetenv!). Just use whatever works (a nested with-environment-variable
or a modified with-environment-variables), though FWIW I would expect
using the modified with-environment-variables to result in more compact
code.

Greetings,
Maxime